"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ApplicationAutoScalingClient_1 = require("./ApplicationAutoScalingClient");
var DeleteScalingPolicyCommand_1 = require("./commands/DeleteScalingPolicyCommand");
var DeleteScheduledActionCommand_1 = require("./commands/DeleteScheduledActionCommand");
var DeregisterScalableTargetCommand_1 = require("./commands/DeregisterScalableTargetCommand");
var DescribeScalableTargetsCommand_1 = require("./commands/DescribeScalableTargetsCommand");
var DescribeScalingActivitiesCommand_1 = require("./commands/DescribeScalingActivitiesCommand");
var DescribeScalingPoliciesCommand_1 = require("./commands/DescribeScalingPoliciesCommand");
var DescribeScheduledActionsCommand_1 = require("./commands/DescribeScheduledActionsCommand");
var PutScalingPolicyCommand_1 = require("./commands/PutScalingPolicyCommand");
var PutScheduledActionCommand_1 = require("./commands/PutScheduledActionCommand");
var RegisterScalableTargetCommand_1 = require("./commands/RegisterScalableTargetCommand");
var ApplicationAutoScaling = /** @class */ (function (_super) {
    tslib_1.__extends(ApplicationAutoScaling, _super);
    function ApplicationAutoScaling() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ApplicationAutoScaling.prototype.deleteScalingPolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteScalingPolicyCommand_1.DeleteScalingPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApplicationAutoScaling.prototype.deleteScheduledAction = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteScheduledActionCommand_1.DeleteScheduledActionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApplicationAutoScaling.prototype.deregisterScalableTarget = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeregisterScalableTargetCommand_1.DeregisterScalableTargetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApplicationAutoScaling.prototype.describeScalableTargets = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeScalableTargetsCommand_1.DescribeScalableTargetsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApplicationAutoScaling.prototype.describeScalingActivities = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeScalingActivitiesCommand_1.DescribeScalingActivitiesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApplicationAutoScaling.prototype.describeScalingPolicies = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeScalingPoliciesCommand_1.DescribeScalingPoliciesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApplicationAutoScaling.prototype.describeScheduledActions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeScheduledActionsCommand_1.DescribeScheduledActionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApplicationAutoScaling.prototype.putScalingPolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutScalingPolicyCommand_1.PutScalingPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApplicationAutoScaling.prototype.putScheduledAction = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutScheduledActionCommand_1.PutScheduledActionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApplicationAutoScaling.prototype.registerScalableTarget = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RegisterScalableTargetCommand_1.RegisterScalableTargetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return ApplicationAutoScaling;
}(ApplicationAutoScalingClient_1.ApplicationAutoScalingClient));
exports.ApplicationAutoScaling = ApplicationAutoScaling;
//# sourceMappingURL=ApplicationAutoScaling.js.map