"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeScalableTargets_1 = require("../model/operations/DescribeScalableTargets");
var DescribeScalableTargetsCommand = /** @class */ (function () {
    function DescribeScalableTargetsCommand(input) {
        this.input = input;
        this.model = DescribeScalableTargets_1.DescribeScalableTargets;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeScalableTargetsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeScalableTargetsCommand;
}());
exports.DescribeScalableTargetsCommand = DescribeScalableTargetsCommand;
//# sourceMappingURL=DescribeScalableTargetsCommand.js.map