"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeScalingActivities_1 = require("../model/operations/DescribeScalingActivities");
var DescribeScalingActivitiesCommand = /** @class */ (function () {
    function DescribeScalingActivitiesCommand(input) {
        this.input = input;
        this.model = DescribeScalingActivities_1.DescribeScalingActivities;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeScalingActivitiesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeScalingActivitiesCommand;
}());
exports.DescribeScalingActivitiesCommand = DescribeScalingActivitiesCommand;
//# sourceMappingURL=DescribeScalingActivitiesCommand.js.map