"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeScalingPolicies_1 = require("../model/operations/DescribeScalingPolicies");
var DescribeScalingPoliciesCommand = /** @class */ (function () {
    function DescribeScalingPoliciesCommand(input) {
        this.input = input;
        this.model = DescribeScalingPolicies_1.DescribeScalingPolicies;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeScalingPoliciesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeScalingPoliciesCommand;
}());
exports.DescribeScalingPoliciesCommand = DescribeScalingPoliciesCommand;
//# sourceMappingURL=DescribeScalingPoliciesCommand.js.map