"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeScheduledActions_1 = require("../model/operations/DescribeScheduledActions");
var DescribeScheduledActionsCommand = /** @class */ (function () {
    function DescribeScheduledActionsCommand(input) {
        this.input = input;
        this.model = DescribeScheduledActions_1.DescribeScheduledActions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeScheduledActionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeScheduledActionsCommand;
}());
exports.DescribeScheduledActionsCommand = DescribeScheduledActionsCommand;
//# sourceMappingURL=DescribeScheduledActionsCommand.js.map