"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutScalingPolicy_1 = require("../model/operations/PutScalingPolicy");
var PutScalingPolicyCommand = /** @class */ (function () {
    function PutScalingPolicyCommand(input) {
        this.input = input;
        this.model = PutScalingPolicy_1.PutScalingPolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutScalingPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutScalingPolicyCommand;
}());
exports.PutScalingPolicyCommand = PutScalingPolicyCommand;
//# sourceMappingURL=PutScalingPolicyCommand.js.map