"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutScheduledAction_1 = require("../model/operations/PutScheduledAction");
var PutScheduledActionCommand = /** @class */ (function () {
    function PutScheduledActionCommand(input) {
        this.input = input;
        this.model = PutScheduledAction_1.PutScheduledAction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutScheduledActionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutScheduledActionCommand;
}());
exports.PutScheduledActionCommand = PutScheduledActionCommand;
//# sourceMappingURL=PutScheduledActionCommand.js.map