"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RegisterScalableTarget_1 = require("../model/operations/RegisterScalableTarget");
var RegisterScalableTargetCommand = /** @class */ (function () {
    function RegisterScalableTargetCommand(input) {
        this.input = input;
        this.model = RegisterScalableTarget_1.RegisterScalableTarget;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RegisterScalableTargetCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RegisterScalableTargetCommand;
}());
exports.RegisterScalableTargetCommand = RegisterScalableTargetCommand;
//# sourceMappingURL=RegisterScalableTargetCommand.js.map