"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RegisterScalableTargetInput_1 = require("../shapes/RegisterScalableTargetInput");
var RegisterScalableTargetOutput_1 = require("../shapes/RegisterScalableTargetOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ConcurrentUpdateException_1 = require("../shapes/ConcurrentUpdateException");
var InternalServiceException_1 = require("../shapes/InternalServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RegisterScalableTarget = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RegisterScalableTarget",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RegisterScalableTargetInput_1.RegisterScalableTargetInput
    },
    output: {
        shape: RegisterScalableTargetOutput_1.RegisterScalableTargetOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ConcurrentUpdateException_1.ConcurrentUpdateException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=RegisterScalableTarget.js.map