"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _StepScalingPolicyConfiguration_1 = require("./_StepScalingPolicyConfiguration");
var _TargetTrackingScalingPolicyConfiguration_1 = require("./_TargetTrackingScalingPolicyConfiguration");
var _Alarms_1 = require("./_Alarms");
exports._ScalingPolicy = {
    type: "structure",
    required: [
        "PolicyARN",
        "PolicyName",
        "ServiceNamespace",
        "ResourceId",
        "ScalableDimension",
        "PolicyType",
        "CreationTime"
    ],
    members: {
        PolicyARN: {
            shape: {
                type: "string",
                min: 1
            }
        },
        PolicyName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ServiceNamespace: {
            shape: {
                type: "string"
            }
        },
        ResourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ScalableDimension: {
            shape: {
                type: "string"
            }
        },
        PolicyType: {
            shape: {
                type: "string"
            }
        },
        StepScalingPolicyConfiguration: {
            shape: _StepScalingPolicyConfiguration_1._StepScalingPolicyConfiguration
        },
        TargetTrackingScalingPolicyConfiguration: {
            shape: _TargetTrackingScalingPolicyConfiguration_1._TargetTrackingScalingPolicyConfiguration
        },
        Alarms: {
            shape: _Alarms_1._Alarms
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_ScalingPolicy.js.map